Bug 728691 - Review Request: django-registration - A user-registration application for Django
Review Request: django-registration - A user-registration application for Django
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arun S A G
Fedora Extras Quality Assurance
:
: 526100 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-06 08:48 EDT by Praveen Kumar
Modified: 2011-10-01 17:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-01 17:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sagarun: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2011-08-06 08:48:07 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/registration/django-registration.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/registration/django-registration-0.7-1.fc15.src.rpm
Description: This is a fairly simple user-registration application for Django_,
designed to make allowing user signups as painless as possible. It requires a functional installation of Django 1.0 or newer, but has no other dependencies.

Koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3256067
Comment 1 Praveen Kumar 2011-08-06 08:49:30 EDT
*** Bug 526100 has been marked as a duplicate of this bug. ***
Comment 2 Arun S A G 2011-08-06 10:30:49 EDT
I will do the review
Comment 3 Arun S A G 2011-08-06 10:33:16 EDT
I see, you have taken the SPEC file from https://bugzilla.redhat.com/show_bug.cgi?id=526100 , It would be nice to credit the original author in the Changelog section
Comment 5 Rahul Sundaram 2011-08-06 11:55:10 EDT
You can't have two changelog entries with the same release number.  Bump up the release everytime you do the change.  Always
Comment 7 Arun S A G 2011-08-13 13:07:44 EDT
I have done the review, I found two issues with the package,

1. The latest version is 0.8-alpha1, do we have to update to the latest version?

2. The package includes locale files , do we have to add gettext to buildrequires?
Comment 8 Praveen Kumar 2011-08-15 02:40:32 EDT
(In reply to comment #7)
> I have done the review, I found two issues with the package,
> 
> 1. The latest version is 0.8-alpha1, do we have to update to the latest
> version?

I asked to rahul, he said right now we have to go for 0.7, when upstream relase of a stable of 0.8 then we will update it.

> 2. The package includes locale files , do we have to add gettext to
> buildrequires?
I will add this if it is really need because during koji build didn't show any build requires.
Comment 9 Arun S A G 2011-08-16 23:21:53 EDT
complete review:

+ = OK
- = NA
? = issue


+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.

+ Sources match upstream md5sum:
5c92e93a699905dce2e3f59285013b0a  django-registration-0.7.tar.gz
5c92e93a699905dce2e3f59285013b0a  django-registration-0.7.tar.gz


- Package needs ExcludeArch
+ BuildRequires correct
+ Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
+ Package is code or permissible content.
+ Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
http://koji.fedoraproject.org/koji/taskinfo?taskID=3270799

+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output. 
(warning can be ignored)
[zer0c00l@gnubox noarch]$ rpmlint django-registration-0.7-2.fc15.noarch.rpm 
django-registration.noarch: W: spelling-error %description -l en_US signups -> sign ups, sign-ups, signposts
1 packages and 0 specfiles checked; 0 errors, 1 warning


- final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =;
rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and
anything provided by glibc.)

SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
+ Should function as described.
Tested the application it works as described
+ Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
? Should package latest version
https://bitbucket.org/ubernostrum/django-registration/downloads 
The latest version is 0.8-alpha-1 should we package it?

- check for outstanding bugs on package. (For core merge reviews

XXXXXXXXXXXX APPROVED XXXXXXXXXXXXXXXXXX

We will ship 0.7 version of django-registration
Comment 10 Praveen Kumar 2011-08-17 11:35:39 EDT
New Package SCM Request
=======================
Package Name: django-registration
Short Description: A user-registration application for Django
Owners: sundaram pjp kumarpraveen
Branches: f14 f15 f16 el6
Comment 11 Gwyn Ciesla 2011-08-18 11:18:18 EDT
Git done (by process-git-requests).
Comment 12 Matthias Runge 2011-09-07 06:04:29 EDT
I just stumbled upon this and could really use it. Any progress here? May I help you?
Comment 13 Matthias Runge 2011-09-27 16:20:02 EDT
Praveen, ping.
Comment 14 Matthias Runge 2011-09-27 16:23:07 EDT
(In reply to comment #13)
> Praveen, ping.

Please forget this comment. I must have missed pkgb emails.

Note You need to log in before you can comment on or make changes to this bug.